Subject: bug#17527: emacs 24.3.91: magit error

From: [email-masked]
Date: Sat, 5 Jul 2014 13:20:23 -0400

Hi Glenn.

Glenn> Hello, still waiting for more information on this issue...
Glenn> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17527#14

Sorry for the delay: I was busy with academic deadlines.

After further experimentation, I think the problem does come from
magit and not from emacs itself:

- I installed and compiled GNU Emacs 24.3.92.1 from the git repository:

  - No error is generated when 
    - starting with emacs -q and emacs -Q without loading any file.

  - The error is generated when
    - starting with emacs (and my .emacs file) without loading any file, OR
    - starting with emacs -q and emacs -Q loading a file under git control.

- It is distinct from https://github.com/magit/magit/issues/1274

  - I don't have any Makefile inside any .git folder.
  - I will contact the magit team if the bug persists after I am done
    refactoring my .emacs configuration into .emacs.d and adapting it
    to the latest version of emacs.

Sorry if I wasted your time on this :(
-- 
Jeremy                                    (http://www.barbay.cl/)

******************************************************************************
Debugger entered--Lisp error: (wrong-type-argument listp 769)
  magit-max-args-internal(delete-directory)
  require(magit)
  eval-buffer(#<buffer  *load*> nil "/home/jbarbay/.emacs" nil t)  ; Reading at buffer position 50927
  load-with-code-conversion("/home/jbarbay/.emacs" "/home/jbarbay/.emacs" t t)
  load("~/.emacs" t t)
  command-line()
  normal-top-level()
******************************************************************************